﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Telerik.Core;
using Telerik.Data.Core;
using Telerik.UI.Xaml.Controls.Data;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace App2
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            List<Item> source = new List<Item>();
            for (int i = 0; i < 20; i++)
            {
                source.Add(new Item() { Age = i, Name = i.ToString() + " name" });
            }

            this.DataContext = source;
        }

        public class Item : ViewModelBase
        {
            private string name;
            public string Name
            {
                get
                {
                    return this.name;
                }
                set
                {
                    this.name = value;
                    OnPropertyChanged();
                }
            }

            private int age;
            public int Age
            {
                get
                {
                    return this.age;
                }
                set
                {
                    this.age = value;
                    OnPropertyChanged();
                }
            }
        }
    }
}
